<?php
/**
* The template for displaying 404 pages (Not Found)
*
* @package ThemeHunk
* @subpackage Blogangellite
* @since Blogangellite 1.0
*/
get_header(); ?>
<div class="container" class="clearfix">
	<div class="page-title breadcrumb">
		<h1><?php _e( 'Not Found', 'blogangellite' ); ?></h1>
	</div>
</div>
<div id="page" class="clearfix right" >
	<div class="content-wrapper clearfix"><!--content wrapper start-->
	<div class="content">
		<p><?php _e( 'It looks like nothing was found at this location. Maybe try a search?', 'blogangellite' ); ?></p>
		<?php get_search_form(); ?>
	</div>
	<div class="sidebar-wrapper">
		<?php get_sidebar(); ?>
	</div>
</div>
</div>
<!-- page End -->
<?php get_footer(); ?>